Bug 208963 - Wrong COMPILER_TYPE/COMPILER_VERSION being passed down at buildworld/installworld time with external compiler
Summary: Wrong COMPILER_TYPE/COMPILER_VERSION being passed down at buildworld/installw...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-21 19:45 UTC by Enji Cooper
Modified: 2017-02-04 17:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2016-04-21 19:45:23 UTC
fmaxmin_test is still being installed with clang 3.8.0, but it shouldn't be installed. This is causing failures on Jenkins:
https://jenkins.freebsd.org/job/FreeBSD_HEAD/lastCompletedBuild/testReport/junit/lib.msun/fmaxmin_test/main/

Two potential bugs I see here:
1. FILES should be produced as part of all, not the install phase.
2. COMPILER_TYPE and COMPILER_VERSION should be determined from the compiler produced in MAKEOBJDIRPREFIX at installworld time.
Comment 1 Enji Cooper freebsd_committer 2016-04-21 19:52:17 UTC
buildworld is affected too :(...
Comment 2 commit-hook freebsd_committer 2016-04-21 20:00:04 UTC
A commit references this bug:

Author: ngie
Date: Thu Apr 21 19:59:56 UTC 2016
New revision: 298434
URL: https://svnweb.freebsd.org/changeset/base/298434

Log:
  Completely disable fmaxmin_test (follow up to r297952)

  COMPILER_TYPE/COMPILER_VERSION doesn't get passed down properly at
  buildworld/installworld with older build hosts

  MFC after: never
  PR: 208703, 208963
  Reported by: Jenkins
  Sponsored by: EMC / Isilon Storage Division

Changes:
  head/lib/msun/tests/Makefile
Comment 3 Bryan Drewery freebsd_committer 2016-08-08 17:56:29 UTC
r301287, r301394, and r301403 should fix this.
Comment 4 commit-hook freebsd_committer 2016-08-08 18:00:28 UTC
A commit references this bug:

Author: bdrewery
Date: Mon Aug  8 17:59:59 UTC 2016
New revision: 303841
URL: https://svnweb.freebsd.org/changeset/base/303841

Log:
  Revert r298434 which should be fixed by r301287, r301394, and r301403.

  PR:	208703, 208963

Changes:
  head/lib/msun/tests/Makefile
Comment 5 Bryan Drewery freebsd_committer 2016-08-09 00:05:48 UTC
Confirmed in https://jenkins.freebsd.org/job/FreeBSD_HEAD_amd64_gcc/1498/consoleText that fmaxmin IS built with external GCC.

Confirmed in https://jenkins.freebsd.org/job/FreeBSD_HEAD/553/consoleText that fmaxmin is NOT built with the in-tree Clang 3.8.0.
Comment 6 commit-hook freebsd_committer 2017-02-04 17:07:53 UTC
A commit references this bug:

Author: ngie
Date: Sat Feb  4 17:06:52 UTC 2017
New revision: 313237
URL: https://svnweb.freebsd.org/changeset/base/313237

Log:
  MFC r303841,r312012,r312213:

  r303841 (by bdrewery):

  Revert r298434 which should be fixed by r301287, r301394, and r301403.

  PR:	208703, 208963

  r312012:

  fmaxmin_test still fails with clang 3.9.x.. bypass the test

  PR:		208703

  r312213:

  Turn COMPILER_VERSION/COMPILER_TYPE make check into a compile-time check
  of the clang version

  This works around breakage on ^/stable/10 when running installworld from
  a ^/stable/10 host where the test wouldn't be compiled on the first
  go-around and would be missing when make installworld is run.

  PR:		208703

Changes:
_U  stable/11/
  stable/11/lib/msun/tests/Makefile
  stable/11/lib/msun/tests/fmaxmin_test.c